USE Test;
Select  a.AGENT_NAME, o.ORD_AMOUNT, d.CUST_CODE, o.ORD_DATE FROM agents a
LEFT JOIN orders o ON a.AGENT_CODE = o.AGENT_CODE
LEFT JOIN daysorder d ON a.AGENT_CODE = d.AGENT_CODE 
WHERE d.CUST_CODE IS NULL 
AND o.ORD_DATE BETWEEN '2008-01-01' and '2008-06-01' 
ORDER BY AGENT_NAME

;
